package com.ruoyi.manage.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 废品入库记录对象 record_waste_in
 * 
 * @author wangh
 * @date 2024-01-29
 */
public class RecordWasteIn extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long objid;

    /** RFID */
    @Excel(name = "RFID")
    private String epc;

    /** 前存储位置 */
    @Excel(name = "前存储位置")
    private String locationCode;

    /** 报废时间 */
    @Excel(name = "报废时间")
    private String bfTime;

    /** 入库库位 */
    @Excel(name = "入库库位")
    private String inCode;

    public void setObjid(Long objid) 
    {
        this.objid = objid;
    }

    public Long getObjid() 
    {
        return objid;
    }
    public void setEpc(String epc) 
    {
        this.epc = epc;
    }

    public String getEpc() 
    {
        return epc;
    }
    public void setLocationCode(String locationCode) 
    {
        this.locationCode = locationCode;
    }

    public String getLocationCode() 
    {
        return locationCode;
    }
    public void setBfTime(String bfTime) 
    {
        this.bfTime = bfTime;
    }

    public String getBfTime() 
    {
        return bfTime;
    }
    public void setInCode(String inCode) 
    {
        this.inCode = inCode;
    }

    public String getInCode() 
    {
        return inCode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objid", getObjid())
            .append("epc", getEpc())
            .append("locationCode", getLocationCode())
            .append("bfTime", getBfTime())
            .append("inCode", getInCode())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .toString();
    }
}
